import { ChangeDetectorRef, OnInit } from '@angular/core';
import { BaseFieldDirective } from '../base-field/base-field.directive';
import { ValidatorFn } from '@angular/forms';
import { LfFieldTokenService } from '../lf-field-token.service';
import { AppLocalizationService, ValidationRule } from '@laserfiche/lf-ui-components/internal-shared';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class TextFieldComponent extends BaseFieldDirective implements OnInit {
    tokenService: LfFieldTokenService;
    ref: ChangeDetectorRef;
    localizationService: AppLocalizationService;
    getValidationTextForFieldType(validationRuleName: ValidationRule): Observable<string> | undefined;
    focusState: boolean | undefined;
    get isShortField(): boolean;
    constructor(tokenService: LfFieldTokenService, ref: ChangeDetectorRef, localizationService: AppLocalizationService);
    serializeFieldFormControlValue(): string;
    deserializeLfFieldValue(): string;
    getAdditionalValidatorsForFieldType(): ValidatorFn[];
    createNewFieldValueWithToken(token: string): string;
    onFocusIn(): void;
    onFocusOut(): void;
    onEveryInputChange(): void;
    protected fieldOnValueChanged(): void;
    onTextValueChanged(): void;
    onTextTokenChosen(token: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TextFieldComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TextFieldComponent, "lf-text-field-component", never, {}, {}, never, never, false, never>;
}
